Get wallet
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/wallet/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/wallet/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/wallet/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/wallet/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/wallet/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "e7efc60f-247d-4ecc-b04b-c4810df25758",
"business_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",
"currency": "NGN",
"currency_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",
"amount": 0,
"is_active": true
}{
"message": "Invalid or missing access token"
}Wallet
Get wallet
Retrieve a single wallet by ID. Required scope: wallet:read.
GET
/
api
/
external
/
wallet
/
{id}
Get wallet
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Path Parameters
Unique identifier of the wallet
Response
Wallet retrieved successfully
Was this page helpful?